summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-25 04:40:30 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-25 04:40:30 +0100
commitd2e148fdd9d3f341940c22c241d219a0372f8f57 (patch)
treeb23a138b85e226dd9c71644e2241bd4f814baf21
parent8c3f10ba402e7535529decf008cfd3dbd39d9d7e (diff)
rom.sh: simplify ccache handling for coreboot
we simply do not need to run the make-oldconfig command at all, and after removing it, the "cook" function seemed quite redundant so i merged it with mkvendorfiles() Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/rom.sh11
1 files changed, 2 insertions, 9 deletions
diff --git a/include/rom.sh b/include/rom.sh
index eedd05d3..4a3503f4 100644
--- a/include/rom.sh
+++ b/include/rom.sh
@@ -45,7 +45,8 @@ mkpayload_grub()
mkvendorfiles()
{
- [ -z "$mode" ] && $dry cook_coreboot_config
+ [ -n "$mode" ] || [ ! -f "$srcdir/.config" ] || $dry printf \
+ "CONFIG_CCACHE=y\n" >> "$srcdir/.config" || err "$srcdir: !cook"; :
fx_ check_coreboot_util printf "cbfstool\nifdtool\n"
printf "%s\n" "${version%%-*}" > "$srcdir/.coreboot-version" || \
err "!mk $srcdir .coreboot-version"
@@ -53,14 +54,6 @@ mkvendorfiles()
x_ ./mk download "$target"; :
}
-cook_coreboot_config()
-{
- [ -f "$srcdir/.config" ] || return 0
- printf "CONFIG_CCACHE=y\n" >> "$srcdir/.config" || \
- err "$srcdir/.config: Could not enable ccache"
- make -C "$srcdir" oldconfig || err "Could not cook $srcdir/.config"; :
-}
-
check_coreboot_util()
{
[ "$badhash" = "y" ] && x_ rm -f "elf/$1/$tree/$1"